Patch Mail Notification Settings

Patch Mail Notification Settings
Perform patch (update) over specific email notification settings.

Apply a collection of patch instructions (updates) against the existing mail notification settings.

Request
URI
PATCH
https://umip/api/v1/mail-notifications
COPY
Request Body
PatchRequest of type(s) application/json-patch+json
Required
[
    {
        "op": "string",
        "path": "string",
        "value": {},
        "from": "string"
    }
]
array of object
PatchRequest
Optional

A collection of patch instructions to be applied against the existing object.

Authentication
This operation uses the following authentication methods.
Responses
204

Mail notification settings are patched successfully.

Operation doesn't return any data structure

304

Mail Notification settings does not exist.

Operation doesn't return any data structure

400

Invalid data for one or more fields in the request, or the validation of the data does not passed.

Returns 400InvalidRequestValidationIssues of type(s) application/json
{
    "messages": [
        {
            "errMessage": "Provide Notify email(s) value.",
            "errCode": "notifications.notifyEmails.missing"
        },
        {
            "errMessage": "SMTP Password is required.",
            "errCode": "smtp.password.missing"
        },
        {
            "errMessage": "Select at least one type of alert.",
            "errCode": "alerts.missing"
        }
    ]
}
array of object
messages
Optional

Validation errors response object.


401

Provided access token is missing or invalid.

Operation doesn't return any data structure

Code Samples
COPY
                    curl -X PATCH -H 'Authorization: <value>' -H 'Content-Type: application/json-patch+json' -d '[{}]'